%define version 0.4.4
%define release 1mdk

%define major 11
%define libname %mklibname %{name}

%define req_gpg_version 1.2.2
%define req_gpgsm_version 1.9.3

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
License:	GPL
Group:		System/Cryptography
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnupg.org/gpgme.html
BuildRequires:	gnupg >= %{req_gpg_version}
BuildRequires:	gnupg2 >= %{req_gpgsm_version}
BuildRequires:	pth-devel
BuildRequires:	libgpg-error-devel >= 0.5

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}%{major}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{req_gpg_version}
Requires:	gnupg2 >= %{req_gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}%{major}-devel
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname}%{major} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}%{major}-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q

%build
# mdk does not have libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --enable-static 
%make

%__make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%post -n %{libname}%{major}-devel
%_install_info %{name}.info

%postun -n %{libname}%{major}-devel
%_remove_install_info %{name}.info


%files -n %{libname}%{major}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_infodir}/*

%changelog
* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.4.4-1mdk
- New version

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.4.3-1mdk
- 0.4.3
- Don't bundle tests
- Fix provides

* Mon Mar 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.14-3mdk
- build with newpg

* Thu Mar  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.14-2mdk
- mklibname macro
- rebuild

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.14-1mdk
- Update

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.12-5mdk
- remove dependancy on libgpgme.so.0

* Mon Oct 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-4mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-3mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-2mdk
- Add --enable-gpgmeplug

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-1mdk
- Update

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-3mdk
- make libgpgme6 provide gpgme and libgpgme

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-2mdk
- removed a typo in the description 

* Mon Sep  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-1mdk
- major version 6
- add info documentation
- spec file fixes
- fix provides and requires
- renamed packages to libgpgme0 and libgpgme0-devel
- used source package from Charles A Edwards <eslrahc@bellsouth.net>:
	- upgraded to version 0.3.9
	- use %%configure
	- use autoconf2.5
	- add buildrequires for autoconf2.5

* Sat Nov 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.3-1mdk
- Upgraded to version 0.2.3

* Thu Sep 06 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.2-1mdk
- first release, version 0.2.2

